/***************************************************************************
 *   Copyright (C) 2004-2005 by Matthias Schwarzott                        *
 *   zzam@gmx.de                                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "day.h"

int cDay::days_per_month[]={0,  31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31};

cDay::cDay(int day, int month) :
  m_day(day), m_month(month)
{
  bool schaltjahr=false;
  if (schaltjahr) {
    days_per_month[2]=29;
  }
}


cDay::~cDay()
{
}


void cDay::operator-=(int nr) {
  m_day -= nr;
  while(m_day<1) {
    m_month--;
      if (m_month==0)
        m_month=12;
    m_day += days_per_month[m_month];
  }
}

void cDay::operator++()
{
  m_day++;
  if (m_day>days_per_month[m_month]) {
    m_day=1;
    m_month++;
    if (m_month>12)
      m_month=1;
  }
}
