/***************************************************************************
 *   Copyright (C) 2004-2005 by Matthias Schwarzott                        *
 *   zzam@gmx.de                                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef MMAPFILE_H
#define MMAPFILE_H

#include <string>
using std::string;

/**
@author Matthias Schwarzott
*/
class cMMapFile{
public:
    cMMapFile(const char *fname, int size, char *id, int id_len);

    ~cMMapFile();

    __u8* getMMAPData(void);
    void deleteMMapFile(void);
    
protected:
    __u8* m_mmapData;
    int m_mmapSize;
    string m_mmapFile;
    char* m_mmapID;
    int m_mmapID_len;
    bool m_mmapCreatedNew;
   
};

#endif
