/***************************************************************************
 *   Copyright (C) 2004-2005 by Matthias Schwarzott                        *
 *   zzam@gmx.de                                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef CDEMUXDEVICE_H
#define CDEMUXDEVICE_H

#include "defaults.h"
#include "sectiondecoder.h"

/**
@author Matthias Schwarzott
*/

class cSectionDevice : public cSectionDecoder {
private:
    int adapter;
    int demux;
    int pid;
    int demux_fd;
public:
    cSectionDevice(int _adapter, int _demux, int _pid);

    ~cSectionDevice();

    virtual bool Open(void);
    virtual void Close(void);
    virtual void Action();
};

#endif
